Package org.apache.avro.perf.test.basic.jmh_generated

# Class DoubleTest_TestStateEncode_jmhType_B3

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.basic.DoubleTest.TestStateEncode
org.apache.avro.perf.test.basic.jmh_generated.DoubleTest_TestStateEncode_jmhType_B1
org.apache.avro.perf.test.basic.jmh_generated.DoubleTest_TestStateEncode_jmhType_B2
org.apache.avro.perf.test.basic.jmh_generated.DoubleTest_TestStateEncode_jmhType_B3

Direct Known Subclasses:
  `DoubleTest_TestStateEncode_jmhType`

public class DoubleTest_TestStateEncode_jmhType_B3 extends DoubleTest_TestStateEncode_jmhType_B2

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.basic.jmh_generated.DoubleTest_TestStateEncode_jmhType_B2

`setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`DoubleTest_TestStateEncode_jmhType_B3()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.basic.DoubleTest.TestStateEncode

`doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleTest_TestStateEncode_jmhType_B3

public DoubleTest_TestStateEncode_jmhType_B3()